package com.ssj.bean.weixin.libmy.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_lib_book_switch")
public class LibBookSwitch extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String libId; //馆id
	
	private Integer stat; //上次最终状态 1-带书离馆-2-送书到馆
	
	private Date  createTime; //创建时间
	
	private Date updateTime; //更新时间
	
	private Integer auditStat; //调度申请通过还是拒绝 重新发起申请时要清空 0-null--未操作状态  -1通过 2-拒绝

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	

	public Integer getStat() {
		return stat;
	}

	public void setStat(Integer stat) {
		this.stat = stat;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getAuditStat() {
		return auditStat;
	}

	public void setAuditStat(Integer auditStat) {
		this.auditStat = auditStat;
	}
}
